Skip to navigation

Get AppConfigValue by ID

Beta
Get a single AppConfigValue by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

app_config_value_idstringRequired
ID of the AppConfigValue.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
DateTime at which the config value was created.
descriptionstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
DateTime at which the config value was last modified.
pathlist of stringsOptional
valueDataobject or nullOptional
Union of BooleanAppConfigValue, IntegerAppConfigValue, FloatAppConfigValue, TextAppConfigValue, SecureTextAppConfigValue, DateAppConfigValue, DateTimeAppConfigValue, JsonAppConfigValue, ArrayElementAppConfigValue, EntitySchemaAppConfigValue, ResourceAppConfigValue

Errors

400
App Config Value Get Request Bad Request Error
403
App Config Value Get Request Forbidden Error
404
App Config Value Get Request Not Found Error
429
App Config Value Get Request Too Many Requests Error
500
App Config Value Get Request Internal Server Error